/* lcd_TG12864B
 * ------------
 * Grafikdisplay TG12864B
 * 2x KS0108 64x64 Pixel
 */

// Steuer-Port:
#define PORT_GLCDCTRL PORTD
#define PIN_GLCDCTRL  PIND
#define DDR_GLCDCTRL  DDRD  
#define GLCD_RS   PD0  // Data/Instr (D=1/I=0)
#define GLCD_RW   PD1  // Read/Write (R=1/W=0)
#define GLCD_ECLK PD2  // Enable (E)
#define GLCD_CS1  PD3  // CS/1
#define GLCD_CS2  PD4  // CS/2
#define GLCD_RESET PD7 // Reset-Pin (RESET = 0)

// Daten-Port
// Px7: -> DB7 (MSB) + Busy-Flag)
// Px6: -> DB6
// Px5: -> DB5
// Px4: -> DB4
// Px3: -> DB3
// Px2: -> DB2
// Px1: -> DB1
// Px0: -> DB0 (LSB)
#define PORT_GLCDDATA PORTC
#define PIN_GLCDDATA  PINC
#define DDR_GLCDDATA  DDRC




// Funktionsprototypen
void SetPixel(int X,int Y);
void SetBitmap(int PosX,int PosY,int wX,int wY,const char* zeiger );
char glcd_readdat();
void glcd_putcom(char value);
void glcd_putdat(char value);
void glcd_enablepulse();
void glcd_right();
void glcd_left();
void glcd_wait();
void glcd_init();
void glcd_clear();
void glcd_rest();
void glcd_pos(uint8_t PosX,uint8_t PosY);


