/* Funktionen fuer die Ansteuerung von HD44780-kompatiblen
 * LCDs im 4-Bit-Modus
 */



/* Einstellungen LCD-Anschluss: Daten (DB4 bis DB7 nach Anschlussplan) */
// Port LCD Data 
#define PORT_LCDD PORTB
// Datenrichtungsregister LCD Data 
#define DDR_LCDD DDRB
// Port LCD Data-Eingang       
#define PIN_LCDD PINB
// Anschluss DB0 im 4-Bit-Modus (DB4 im Anschlussplan)     
#define DB0_LCDD PB4     

/* Einstellungen LCD-Anschluss: Steuerpins (EN, RW, RS) */
// Port LCD Steuerung
#define PORT_LCDC PORTB
// Datenrichtungsregister LCD Steuerung
#define DDR_LCDC DDRB
// Port LCD Steuerung-Eingang 
#define PIN_LCDC PINB
// Anschluss Steuerpins
#define LCD_EN PB2
#define LCD_RW PB1
#define LCD_RS PB0

// Steuerzeiten
#define LONGDELAY  _delay_ms(5);
#define SHORTDELAY _delay_ms(1);

// Zusaetzliche Konstanten fuer Hilfsfunktionen 
#define CLEARCOMMAND 0x01
#define DISPLAYLENGTH 16
#define DISPLAYHEIGHT 2
#define DISPADRESSABST 0x40


// Kommandos an LCD uebergeben
void lcd_putcom(char kommando);

// Zeichen an LCD ausgeben
void lcd_putchar(char zeichen);

// LCD initialisieren 8 Bit
void lcd_init(void);

// Cursor auf Position X, Y bewegen   
void lcd_pos(int posX, int posY);

// Inhalt des Displays komplett loeschen 
void lcd_clear(void);

// Strings auf LCD ausgeben
void lcd_putstr(char *zeichenkette);




