/*
 * Kleine Sammlung von Hilfsfunktionen, um die Ausgabe an
 * LCDs etwas komfortabler zu gestalten
 */

#include <util/delay.h>
#include "lcd4.h" 

// Cursor auf Position X, Y bewegen   
void lcd_pos(int posX, int posY)
{
  posX %= DISPLAYLENGTH;
  posY %= DISPLAYHEIGHT;
  lcd_putcom((posX+posY*DISPADRESSABST) | 0x80);
  LONGDELAY
} 


// Inhalt des Displays komplett loeschen 
void lcd_clear()
{
  lcd_putcom(CLEARCOMMAND);
  LONGDELAY
}


// Strings auf LCD ausgeben
void lcd_putstr(char *zeichenkette)
{
  while (*zeichenkette)
  {
    lcd_putchar(*zeichenkette);
    zeichenkette++;
  }
}
